#3075 closed defect (fixed)

rtems_interrupt_lock_acquire interface documentation issue in the "RTEMS C Users Guide"

Reported by: Jeffrey Hill Owned by: Sebastian Huber
Priority: low Milestone: 4.11.3
Component: doc Version: 4.11
Severity: minor Keywords: interrupt lock acquire
Cc: Blocked By:
Blocking:

Description

I suspect that in this section it should indicate that the second argument is "rtems_interrupt_level * level" instead of "rtems_interrupt_level level". Furthermore, perhaps it should state that the function is caching some type of opaque context inside of "level" to be restored when the lock is released. Also, perhaps a better argument name would be "pPrvCtx"? The documentation might also divulge additional _functional_ details about what occurs on an SMP system. Does it prevent interrupts from running on all CPUs simultaneously when the lock is acquired? It does say something about an SMP lock, but that perhaps is an implementation detail, and not a functional description of what the function does.

7.4.8 INTERRUPT_LOCK_ACQUIRE - Acquire an ISR Lock
CALLING SEQUENCE:

void rtems_interrupt_lock_acquire(
  rtems_interrupt_lock *lock,
  rtems_interrupt_level level
);

Change History (6)

comment:1 Changed on Jul 13, 2017 at 10:10:43 PM by Gedare Bloom

Owner: changed from chrisj@… to Sebastian Huber
Status: newassigned

comment:2 Changed on Jul 14, 2017 at 5:53:00 AM by Sebastian Huber <sebastian.huber@…>

In f776fe6/rtems-docs:

c-user: Fix interrupt lock documentation

Update #3075.

comment:3 Changed on Jul 14, 2017 at 5:53:23 AM by Sebastian Huber

Milestone: 4.11.3

comment:4 Changed on Jul 14, 2017 at 5:55:52 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In eecec5f/rtems-docs:

c-user: Fix interrupt lock documentation

Close #3075.

comment:5 Changed on Jul 14, 2017 at 6:00:17 AM by Sebastian Huber

If it is still unclear, then please re-open the ticket.

comment:6 Changed on Oct 10, 2017 at 6:06:29 AM by Sebastian Huber

Component: Documentationdoc
Note: See TracTickets for help on using tickets.